Savings

Get Savings Program Levels

GET
/savings-programs/{savingsProgram}/levels

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

savingsProgram*string
Formatuuid

Query Parameters

limit?integer
Default20
offset?integer
Default0
filter[level]?integer
filter[rewardValue]?string
sort_by?string

Value in

  • "level"
  • "rewardValue"
  • "createdAt"
sort_order?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/savings-programs/497f6eca-6276-4993-bfeb-53cbbbba6f08/levels"
{  "total": 0,  "savingsProgramLevels": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "savingsProgramId": "e85e6f4f-93e7-4ca2-b1e5-e56a2346eaa3",      "level": 0,      "rewardValue": "string",      "isActive": true,      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "message": "string",  "errors": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}